Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "9ebc2848-df82-4042-a85b-5d676f60ae39",
"purchase_order_id": "6169c4f1-1a2e-4345-ac4f-5bd6ba6fba47",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "7584f6f2-369b-42e4-a287-729b6ebdafd5",
"id2": 2,
"jobs_id": "4bfdda38-99df-4b2e-8750-2c37562242d6",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "933bb02b-e8f7-41fb-9d1a-240438eac07a",
"supplier_company_code": "sample string 6",
"user_id": "a2cfe825-47b4-4acf-b61b-7d21753279ae",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-17T06:12:26.3341734+00:00",
"date_update": "2026-10-17T06:12:26.3525004+00:00",
"date_delivery": "2026-10-17T06:12:26.3525004+00:00",
"confirmed_date_delivery": "2026-10-17T06:12:26.3525004+00:00",
"delivery_db_address_id": "87624efb-2817-42f5-a2a8-9e2a84e04aae",
"approved_by_user_id": "01b67cb7-6288-4fcf-85ba-c68fcd464bf8",
"approved_by_user_code": "sample string 18",
"technical_user_id": "266b2754-2bab-420c-8c72-ea6b9f7d370c",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "87036644-2d26-41d5-83c4-8df2b18cff08",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "efa61ed5-fb01-48d6-b789-0ff9f3d32cad",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-17T06:12:26.3525004+00:00"
},
"article_id": "8c2c8c1d-fdb5-4cfd-b592-3540c9e0ac42",
"article_code": "sample string 5",
"article": {
"id": "16801cbd-6951-4fc5-a033-fa2ed5394355",
"article_category_id": "ca7bae94-63cd-4f44-9d72-6cc2fb0da787",
"article_category": {
"id": "cd99865d-2276-43d2-bd77-bc222ebda414",
"parent_id": "3514e082-edb4-470d-a8ea-8f396431c8e3",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-17T06:12:26.3525004+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "95e022a5-1710-4224-8832-ab68ea44831d",
"article_group_1_code": "sample string 5",
"article_group_2_id": "a8bc0c0e-d696-433e-aabd-647815a53788",
"article_group_2_code": "sample string 7",
"article_group_3_id": "6ded6b16-8655-4e83-bf74-b0d0e3445a14",
"article_group_3_code": "sample string 9",
"article_group_4_id": "8b672f27-df12-4dc7-b7c3-902bed3d37c2",
"article_group_4_code": "sample string 11",
"article_group_5_id": "9537a383-98b0-4acd-9cc5-fbb27b077178",
"article_group_5_code": "sample string 13",
"article_group_6_id": "90b2a7b0-e4b6-46fe-b791-bcb576df5a61",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-17T06:12:26.3525004+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-17T06:12:26.3525004+00:00",
"date_update": "2026-10-17T06:12:26.3525004+00:00",
"modified_dateutc": "2026-10-17T06:12:26.3525004+00:00",
"article_color_id": "62bbb6d2-2beb-47cf-88d1-2b80250aeb30",
"article_color_code": "sample string 38",
"article_color": {
"id": "9c11c2fd-9b5c-4f0a-b77a-098e6f51e9f4",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-17T06:12:26.3525004+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "37d7efd0-4e39-4d4a-80c1-92efcc0622db",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "72d151f0-bb63-4e12-b3ca-6acda423936d",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-17T06:12:26.3966953+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.